Name:           mysql-query-browser
Version:        1.1.18
Release:        4%{?dist}
Summary:        A graphical tool for handling MySQL queries

Group:          Applications/Databases
License:        GPL
URL:            http://dev.mysql.com/doc/query-browser/en/index.html
Source0:        http://mysql.mirrors.pair.com/Downloads/MySQLAdministrationSuite/mysql-query-browser-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:		mysql-query-browser-1.1.18-gcc41.patch

BuildRequires:  gtkmm24-devel pcre-devel mysql-devel gtkhtml3-devel gettext desktop-file-utils
Requires:       mysql-gui-common

%description
The MySQL Query Browser is a graphical tool provided by MySQL AB for creating,
executing, and optimizing queries in a graphical environment. Where the MySQL
Administrator is designed to administer a MySQL server, the MySQL Query
Browser is designed to help you query and analyze data stored within your MySQL
database.

%if "%{?fedora}" > "3"
%define gtkhtmlver 3.6
%endif
%if "%{?fedora}" > "4"
%define gtkhtmlver 3.8
%endif

%prep
%setup -q
%patch0 -p1  

%build
# mysql-gui-common  mostly gets statically linked the dynamic stuff comes from mysql-administrator
pushd mysql-gui-common
%configure
make %{?_smp_mflags}
popd

pushd mysql-query-browser
%configure --with-gtkhtml=libgtkhtml-%{?gtkhtmlver}%{!?gtkhtmlver:3.8}

make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT

pushd mysql-query-browser
make install DESTDIR=$RPM_BUILD_ROOT
popd

# mysql  use dos files  we need to make it a unix file
sed -i 's/\r//' $RPM_BUILD_ROOT%{_datadir}/applications/MySQLQueryBrowser.desktop
sed -i 's/\r//' mysql-query-browser/COPYING

desktop-file-install --vendor=fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category Application \
  --add-category Development \
  --add-category X-Fedora \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/MySQLQueryBrowser.desktop

%find_lang mysql-query-browser

%clean
rm -rf $RPM_BUILD_ROOT


%files -f mysql-query-browser.lang
%defattr(-,root,root,-)
%doc mysql-query-browser/COPYING mysql-query-browser/doc
%{_bindir}/*
%{_datadir}/applications/fedora-MySQLQueryBrowser.desktop
%{_datadir}/mysql-gui/query-browser
%{_datadir}/mysql-gui/*.png



%changelog
* Sun May 07 2006 Dennis Gilmore <dennis@ausil.us> - 1.1.18-4
- really fix build requires

* Thu Apr 06 2006 Dennis Gilmore <dennis@ausil.us> - 1.1.18-3
- fix  build requires 
- fix  path to download it seems MySQL AB has prevented the abbility to download
  from them.  so i chose a mirror that is listed as one of the primary ones

* Tue Apr 04 2006 Dennis Gilmore <dennis@ausil.us> - 1.1.18-2
- fix build for fc4 

* Mon Apr 03 2006 Dennis Gilmore <dennis@ausil.us> - 1.1.18-1
- update to 1.1.18  and add patch  to work on fc5

* Fri Oct 7 2005 Dennis Gilmore <dennis@ausil.us> 1.1.14-1
- Update to 1.1.14  clean up for Fedora extras 
- remove mysql-gui-common  using mysql-administrator for it

* Thu May 12 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.7-0.iva.1
- Reconstructed for new version
